VMTKSURFACEDECIMATION(1)

NAME
vmtksurfacedecimation - vmtk script vmtksurfacedecimation

DESCRIPTION
Automatic piping vmtksurfacedecimation Parsing options vmtksurfacedecimation

vmtksurfacedecimation : reduce the number of triangles in a surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-reduction TargetReduction (float,1) >= 0.0 and <= 1.0;

    default=0.5: desired number of triangles relative to input number of triangles

-boundarydeletion BoundaryVertexDeletion (bool,1); default=0:

    toggle allow boundary point deletion

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface